Перейти к содержанию
dinox

Работы над версией ocStore 2.2.0.0

Рекомендуемые сообщения

Обсуждаем здесь все что необходимо будет внести в версию ocStore 2.2.0.0 которую в ближайшее время мы будем выпускать

Какие предложения, пожелания?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Ну, кроме тех, что надо выпустить её "как можно скорее!" и тому подобных  :-)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Я думаю торопиться не стоит с 2.2.0

Я уже пару багов в ней нашел, связанные с работой языков, они не критические но они есть

 

Давайте подождем 2.2.1 - вот такое предложение

 

ocStore 2.1 - проверенная работает нормально, много тем модулей под неё

А под 2.2 модулей единицы, а тем вообще нет

  • +1 3

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

...Давайте подождем...

 

Когда Daniel Kerr опять поменяет $this->load->language на $this->language->load?  :mrgreen:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

полностью согласен

изменения довольно ощутимые - как-никак минорная версия

причем, с нулями в конце ;)

из пожеланий (немного офтоп) - прикрутите уже ссылку на документацию в меню форума

не все готовы в поисках документации жмакать на много информативную ссылку на сайт :ugeek:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

полностью согласен

изменения довольно ощутимые - как-никак минорная версия

причем, с нулями в конце ;)

из пожеланий (немного офтоп) - прикрутите уже ссылку на документацию в меню форума

не все готовы в поисках документации жмакать на много информативную ссылку на сайт :ugeek:

Документация готово :)

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Документация готово :)

да, видел в соседней теме пост

 

думаю, новичкам (и не только им) эта ссылка облегчит жизнь :-)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Скрипт обновления с 1.5.5.1.2 нужен, очень нужен...

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

скрипт обновления???

Вы понимаете, насколько отличаются эти версии?

Изменено пользователем jvz
  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

скрипт обновления???

Вы понимаете, насколько отличаются эти версии?

Да - совершенно разные. Но .. нет ничего невозможного :)

Да модули и темы никак не обновить, но БД это тривиально в принципе и этого будет достаточно в 99% случаев

Думаю популярность ocStore была бы на много порядков ВЫШЕ как раз из-за такого скрипта

Еще многие сидят на 1.5.x и не переходят на 2.x как раз из-за того, что нету скрипта обновления БД

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Сделайте пожалуста - в категории и карточке товара опцию "Статус "Нет на складе, в наличии..." (в настройках такой опции не нашел)

 

p.s. может где есть такое дело - покажите?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Тут хотя б сделали сборку 2.2 для начала, а функционал потом пилить... Толька Даниель тоже харош со своими изминениями!

 

  • +1 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

скрипт обновления???

Вы понимаете, насколько отличаются эти версии?

А что предлагаете делать? Тема - это вторично, можно и под "редизайн" списать. Дополнения? В моем случае многие есть в версии 2.0, да, доплатить надо - но это мелочи.

А вот как сохранить 30-50к товаров рабочего магазина? Тут и нужен апдейтер. Хоть платный, хоть какой.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А что предлагаете делать? Тема - это вторично, можно и под "редизайн" списать. Дополнения? В моем случае многие есть в версии 2.0, да, доплатить надо - но это мелочи.

А вот как сохранить 30-50к товаров рабочего магазина? Тут и нужен апдейтер. Хоть платный, хоть какой.

Для апгрейда предлагаю использовать бесплатный модуль экспорта/импорта:

http://www.opencart.com/index.php?route=extension/extension/info&extension_id=17

Ставиться на обе ветки без проблем, выгружаешь из 1.5 и загружаешь в 2.х

Есть только один баг, нужно добавить один столбец с тегом перед загрузкой во вторую версию, остальное происходит ровно.

Сам обновился так.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Есть ли сейчас и будет ли в 2.2.0.0 поддержка php7 ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Есть ли сейчас и будет ли в 2.2.0.0 поддержка php7 ?

а фиг там

не удивлюсь если и на 3ке оно не будет

Изменено пользователем AWARO

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Есть ли сейчас и будет ли в 2.2.0.0 поддержка php7 ?

 

1.5.5.1 я на пхп7 запускал, опенкарт работает нормально, а вот некоторые модули тупо отвалились, пришлось возвращать всё в зад.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Добрый день !

Нельзя ли в этой версии добавить поддержку микроразметки schema.org ?

Изменено пользователем urnash

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Добрый день !

Нельзя ли в этой версии добавить поддержку микроразметки schema.org ?

Для этого есть специальные модули

Никто не будет вставлять дополнительные модули в сборку, по причине того. что код opencart постоянно изменяется и не думаю что есть время следить за этими изменениями в расширенном функционале модулей. Каждый дополнительный не стандартный функционал замедляет выход новой сборки, на предмет того что надо проверять код на совместимость с новой версией opencart

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для этого есть специальные модули

Никто не будет вставлять дополнительные модули в сборку, по причине того. что код opencart постоянно изменяется и не думаю что есть время следить за этими изменениями в расширенном функционале модулей. Каждый дополнительный не стандартный функционал замедляет выход новой сборки, на предмет того что надо проверять код на совместимость с новой версией opencart

 

Спасибо, все понял, действительно добавлять не следует.

Не подскажете хороший модуля для микроразметки ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Спасибо, все понял, действительно добавлять не следует.

Не подскажете хороший модуля для микроразметки ?

https://opencartforum.com/files/file/2859-%D0%BC%D0%B8%D0%BA%D1%80%D0%BE%D1%80%D0%B0%D0%B7%D0%BC%D0%B5%D1%82%D0%BA%D0%B0-applicationldjson-pro-microdata/

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

а каруселька круговая будет? :oops:  а не это передёргивание затвора... ну или там опционально...
ещё там со стилями в слайдере туговато было, переделывал помнится

при включении ЧПУ сеопро сайт в IE разваливается, может в новой версии будет получше (ну или ткните носом, куда копать)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

сайт в IE разваливается скорее от того, что IE криво поддерживает bootstrap, а не из-за seopro

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

при включении ЧПУ сеопро сайт в IE разваливается, может в новой версии будет получше (ну или ткните носом, куда копать)

 

решилось по-большей части обновлением до 21021, по крайней мере для более-менее новых IE-шек, а то всю голову сломал, всё перепробовал уже.

всем спасибо, кто отписывался решая похожие проблемы 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу

×

Важная информация

На нашем сайте используются файлы cookie и происходит обработка некоторых персональных данных пользователей, чтобы улучшить пользовательский интерфейс. Чтобы узнать для чего и какие персональные данные мы обрабатываем перейдите по ссылке. Если Вы нажмете «Я даю согласие», это означает, что Вы понимаете и принимаете все условия, указанные в этом Уведомлении о Конфиденциальности.